#include <fstream>
#include <cmath>

using namespace std;

ifstream input("TONGUOC.inp");
ofstream output("TONGUOC.out");
long long n;
long long res = 0;

int main()
{
	input >> n;
	for (int i = 1; i <= sqrt(n); ++i)
	{
		if (n % i == 0)
		{
			if (i == (n / i))
			{
				res += (n / i);
			}
			else
			{
				res += i + (n / i);
			}
		}
	}
	output << res;
	input.close();
	output.close();
	return 0;
}